Summary: CentOS Hyperscale SIG main repo configs
Name: centos-release-hyperscale
Version: 9
Release: 5%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Hyperscale
Source0: RPM-GPG-KEY-CentOS-SIG-HyperScale
Source1: CentOS-Stream-Hyperscale.repo
Source2: CentOS-Stream-Hyperscale-Experimental.repo
Source3: CentOS-Stream-Hyperscale-Spin.repo

BuildArch: noarch

Requires: centos-stream-release
Requires: epel-release = %{rhel}
Requires: epel-next-release = %{rhel}

# We don't actually *have* hotfixes repo for the moment
Obsoletes: %{name}-hotfixes < 9-4

%description
Configs for the CentOS Hyperscale SIG main package repository.

%package experimental
Summary: CentOS Hyperscale SIG experimental repo configs
Requires: %{name} = %{version}-%{release}

%description experimental
Configs for the CentOS Hyperscale SIG experimental package repository.

%package spin
Summary:  CentOS Hyperscale SIG spin repo configs
Requires: %{name} = %{version}-%{release}

%description spin
Configs for the CentOS Hyperscale SIG spin repository.

%prep
# Nothing to do

%install
install -d %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -d %{buildroot}%{_sysconfdir}/yum.repos.d
install -p -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} \
  %{buildroot}%{_sysconfdir}/yum.repos.d

%files
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale.repo

%files experimental
%defattr(-,root,root)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-HyperScale
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Experimental.repo

%files spin
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Stream-Hyperscale-Spin.repo

%changelog
* Thu Jan 12 2023 Michel Alexandre Salim <salimma@centosproject.org> - 9-5
- Fix source repo metalinks

* Wed Mar 16 2022 Neal Gompa <ngompa@centosproject.org> - 9-4
- Drop -hotfixes repo subpackage as the repo doesn't exist for 9

* Sun Mar 06 2022 Neal Gompa <ngompa@centosproject.org> - 9-3
- Add debuginfo repositories, Refresh GPG public key, and enable DNF countme

* Fri Feb 25 2022 Neal Gompa <ngompa@centosproject.org> - 9-2
- Add epel-next-release dependency

* Sun Feb 20 2022 Neal Gompa <ngompa@centosproject.org> - 9-1
- Initial package for CentOS Stream 9
